libzypp 17.37.10

zypp::resfilter::ByRepository Struct Reference

Select ResObject by repository or repository alias. More...

`#include <zypp/ResFilters.h>`

## Public Member Functions
| ByRepository (Repository repository_r)
| ByRepository (std::string alias_r)
bool | operator() (const ResObject::constPtr &p) const

## Public Attributes
std::string | _alias

## Detailed Description

Select ResObject by repository or repository alias.

Definition at line 169 of file ResFilters.h.

## Constructor & Destructor Documentation

## ◆ ByRepository() [1/2]

zypp::resfilter::ByRepository::ByRepository | ( | Repository | repository_r | ) |
| inline

Definition at line 171 of file ResFilters.h.

## ◆ ByRepository() [2/2]

zypp::resfilter::ByRepository::ByRepository | ( | std::string | alias_r | ) |
| inline

Definition at line 175 of file ResFilters.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::resfilter::ByRepository::operator() | ( | const ResObject::constPtr & | p | ) | const
| inline

Definition at line 179 of file ResFilters.h.

## Member Data Documentation

## ◆ _alias

std::string zypp::resfilter::ByRepository::_alias

Definition at line 184 of file ResFilters.h.

The documentation for this struct was generated from the following file:

- zypp/ResFilters.h